#include "IntProperty.h"
#include "stdafx.h"

using namespace System;
using namespace System::Runtime::InteropServices;
using namespace NDTS::Managed::SCO;

IntProperty::IntProperty():Property()
{
}
IntProperty::~IntProperty()
{
};

int IntProperty::getValue() 
{ 
	return dynamic_cast<NDTS::SCO::IntProperty*>(pProp)->getValue(); 
}
void IntProperty::setValue(int value)
{ 
	return dynamic_cast<NDTS::SCO::IntProperty*>(pProp)->setValue(value); 
}
int IntProperty::getMin() 
{ 
	return dynamic_cast<NDTS::SCO::IntProperty*>(pProp)->getMin(); 
}

int IntProperty::getMax() 
{ 
	return dynamic_cast<NDTS::SCO::IntProperty*>(pProp)->getMax(); 
}
